#ifndef UNREADHANDLER_H
#define UNREADHANDLER_H

#include <QXmlDefaultHandler>

class UnreadHandler : public QXmlDefaultHandler
{
public:
    UnreadHandler();
    bool startDocument();
    bool startElement(const QString &namespaceURI, const QString &localName, const QString &qName, const QXmlAttributes &atts);
    bool endElement(const QString &namespaceURI, const QString &localName, const QString &qName);
    bool characters(const QString &ch);
    bool endDocument();
    bool fatalError(const QXmlParseException &exception);
    int getUnreadCount();
private:
    bool isIdElement;
    bool isCountElement;
    QString chars;
    int unread;

};

#endif // UNREADHANDLER_H
